Subject: Re: How I can reset TCP sockets after long suspend/resume cyscle

From: Maxim Levitsky <[email-masked]>
Date: Fri, 6 Jun 2008 00:31:16 +0300

On Thursday, 5 June 2008 00:23:37 Rick Jones wrote:
> > Another idea would be for the kernel to prematurely run the keepalive
> > timer for all TCP connections after resume. The keepalive code would send
> > an ACK (out of window) which causes other side to send a RST or ACK.
> > 
> > It is normal behaviour, the change would just make the timer happen sooner.
> 
> Would you have it done even for those endpoints on which SO_KEEPALIVE 
> wasn't set?

Why not?

This seems the right solution,
if this is possible, why not to check for stuck TCP connections
on resume?

Obviously, we should be able to turn this off, for some reasons, maybe some
weird servers, but generally this can be the default.

> rick jones

Best regards,
	Maxim Levitsky